function PlayerManager:clbk_copr_ability_ended()
    self:deactivate_temporary_upgrade("temporary", "copr_ability")

    local player_unit = self:local_player()
    local character_damage = alive(player_unit) and player_unit:character_damage()

    if character_damage then
        -- force a round of the health ratio
        local out_of_health = tonumber(string.format("%.1f", character_damage:health_ratio())) < self:upgrade_value("player", "copr_static_damage_ratio", 0)
        local risen_from_dead = self:get_property("copr_risen", false) == true

        character_damage:on_copr_ability_deactivated()

        if out_of_health or risen_from_dead then
            character_damage:force_into_bleedout(false, risen_from_dead)
        end
    end

    self:set_property("copr_risen", nil)
    managers.hud:set_copr_indicator(false)
end